<?php 
include_once ('../includes/variables.php');
	DEFINE ('DB_HOST', $host);
	DEFINE ('DB_USER', $username);	 
	DEFINE ('DB_PASSWORD', $password);
	DEFINE ('DB_NAME', $databasename);
	DEFINE ('TABLE_NAME', "sarf");

    $mysqli = mysqli_connect(DB_HOST, DB_USER, DB_PASSWORD, DB_NAME) or die (mysqli_error($conn)); 
    if ($mysqli->connect_errno) {
    	echo "Failed to connect to MySQL: " . $mysqli->connect_error;
    	exit();
    }
     $sSQL= 'SET CHARACTER SET utf8'; 
    mysqli_query($mysqli , $sSQL) or die ('Can\'t charset in DataBase'); 
    
    // $query = "(SELECT `hepast` FROM sarf ORDER BY id DESC LIMIT 5) UNION (SELECT `singular` FROM noun ORDER BY id DESC LIMIT 5)";
    //$query = "SELECT `hepast`, `id`, `modified` FROM `sarf` ORDER BY `modified` DESC LIMIT 100"; //ORDER BY columnname DESC
    $query = "SELECT `hepast`, `id`, `modified` FROM ".TABLE_NAME." ORDER BY `modified` DESC LIMIT 100"; //ORDER BY columnname DESC
    $result = $mysqli->query($query);
    
    $query1 = "SELECT `singular`, `id`, `modified` FROM `noun` ORDER BY `modified` DESC LIMIT 100";
    //"SELECT * FROM `noun` WHERE `id` > 0 ORDER BY `modified`"
    $resultNoun = $mysqli->query($query1);

    date_default_timezone_set("Asia/Calcutta");   //India time (GMT+5:30)
?>

<!doctype html>
<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  
	<title>Add Arbic Sarf to Hadis Dictionary</title>
	<link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
	<link href="style2.css" rel="stylesheet" />
	
	<style type="text/css">.td1 {
            padding: 10px;
            padding-right: 25px;
            padding-left: 15px;
            background-color: rgb(231, 230, 230);
            font-size: 25px;
            text-align: left;
            vertical-align: middle;
            font-family: Calibri;
        }
        
        .td2 {
            font-size: 25px;
            padding: 10px;
            padding-right: 25px;
            padding-left: 15px;
            background-color: rgb(231, 230, 230);
            border: rgb(217, 226, 243);
        }
       .container {
            width: 100%;
        }
        
        input.largerCheckbox
        {
            width: 20px;
            height: 20px;
        }
        
        input[type=checkbox] 
        {
            transform: scale(1.5);
        }
        .records{
            margin-bottom: 1px;
        }
        .records h3{
            font-weight:normal
        }
        .records span{
            font-size: 18px;
        }
        
        @font-face { font-family: "Al Qalam Quran Majeed"; src: url('quranfont.eot'); } 
        .QuranFontClass { 
            font-family: "Al Qalam Quran Majeed"; 
            font-size: 30px;
            line-height: 1;
        }
  
	</style>
</head>
<body> 

<div class="container" width="100%">
<div class="col-md-8">
<div class="col-md-12"></div>

<h2 style="color: rgb(112,173,71)">Add Arabic He-Past &amp;&nbsp;all&nbsp;its Sarf forms</h2>
<p style="font-size: 18px">Commands: 
<a href="showall.php">Show All-Data</a>.
<a href="index.php">Clear this form</a>.
<a href="..\AddUniqueWord\index.php">Goto Add-UniqueWord-Form</a>.
</p>



<div>
    <div id="div-both-noun-verb">
        <button onclick="ShowHideRecent('verb')" style="display: none;">Show/Hide Verbs</button>
        <div id="div-recent-verbs" style="color: #4cbff5;" class="records">
            <h3 >Recent Verbs:  
            <?php
            $coma = "";
            if ($result->num_rows > 0) {
            		while ($row = $result->fetch_assoc()) {
            ?>
            <a onclick="show_recent_verb(<?php echo $row['id'];?>)" style="cursor: pointer;">
                <?php echo $coma.$row['hepast']; $coma=" , ";?> 
            </a>
            <?php
            		}
            	}
            ?>
            </h3>
        </div>
</div>


<div>
        <button onclick="ShowHideRecent('noun')" style="display: none;">Show/Hide Nouns</button>
        <div id="div-recent-nouns" style="color: #4cbff5;" class="records">
            <h3 >Recent Nouns:  
            <?php
            $coma = "";
            if ($resultNoun->num_rows > 0) {
            		while ($row = $resultNoun->fetch_assoc()) {
            ?>
            <!-- onmouseover, onclick -->
            <a onclick="show_recent_noun(<?php echo $row['id'];?>)" style="cursor: pointer;">
                <?php echo $coma.$row['singular']; $coma=" , ";?> 
            </a>
            <?php
            		}
            	}
            ?>
            </h3>
        </div>
    </div>
</div>



   
<div class="tab">
  <button class="tablinks" onclick="openTab(event, 'verbform')" id="verbbtn">Verb</button>
  <button class="tablinks" onclick="openTab(event, 'nounform')" id="nounbtn">Noun</button>
  
  <div style="margin-top: 10px;">
    <label style="font-size:20px; display: flex; justify-content: flex-end; vertical-align: middle; margin-right: 10px;">
        <input  class="largerCheckbox" type="checkbox" name="ismouseover" value="isharf">&nbsp; Search on Mouseover
    </label>
  </div>
</div>

<div id="verbform" class="tabcontent" style="background: #e7e6e6;">
    
<form action="action-verb.php" method="post" id="verb-form">
<table>
	<tbody>
		<tr>
			<td class="td1"><label for="hepast">He-Past</label></td>
			<td class="td2"><input name="hepast" autofocus id="hepast" required="" type="text" /></td>
			
			<td class="td1"><label for="id">Id</label></td>
			<td class="td2"><input name="id" id="id"  readonly type="text" style="background: #f2f2f2;"/>
		</tr>
		<tr>
			<td class="td1"><label for="root">3 Letter Root</label></td>
			<td class="td2"><input id="root" name="root" type="text" /></td>
			
			<td class="td1"><label for="meaning">Meaning</label></td>
			<td class="td2"><input id="meaning" name="meaning" type="text" /></td>
		</tr>
		<tr>
			<td class="td1"><label for="allpast">All Pasts</label></td>
			<td class="td2"><textarea id="past" cols="23" name="past" rows="4" type="text"> </textarea></td>
			
			<td class="td1"><label for="allfuture">All Presents</label></td>
			<td class="td2"><textarea id="present" cols="23" name="present" rows="4" type="text"> </textarea></td>
		</tr>
		<tr>
			<td class="td1"><label for="allcommand">All Commands</label></td>
			<td class="td2"><textarea id="command" cols="23" name="command"  rows="4" type="text"> </textarea></td>
			
			<td class="td1"><label for="extra">Extra</label></td>
			<td class="td2"><textarea id="extra" cols="23" name="extra" rows="4" type="text"> </textarea></td>
		</tr>
		<tr>
		    <td align="right" colspan="4">
		        <input type="button" id="editVerb" onclick="AllowEdit('verb');"  class="btn btn-info" value="Edit" style="margin-top:5px; margin-right: 25px; border-radius: 4px; background: #6dc965; width:150px; height:50px;" />
		        <input type="reset" id="clearVerb" onclick="OnClearAllVerbclick();" class="btn btn-info" value="Add New" style="margin-top:5px; margin-right: 25px; border-radius: 4px; background: #FF4A4A; width:150px; height:50px;" />
		        <input type="submit"  name="submit" class="btn btn-info" onmouseover="this.src='submit.png'"  
		        style="margin-top:5px; margin-right: 25px; border-radius: 4px; background: #09a3eb; width:250px; height:50px;"  
		        src="submit.png" value="submit" />
		    </td>
		</tr>
	</tbody>

</table>
</form>
</div>


<div id="nounform" class="tabcontent" style="background: #e7e6e6;" accesskey="n"> 
<form action="action-noun.php" method="post">
<table>
	<tbody>
		<tr>
			<td class="td1"><label for="singular" >Singular</label></td>
			<td class="td2"><input name="singular" id="singular" required type="text" /></td>
			
			<td class="td1"><label for="id-noun">Id</label></td>
			<td class="td2"><input name="id-noun" id="id-noun" readonly type="text" style="background: #f2f2f2;"/>
		</tr>
		<tr>
			<td class="td1"><label for="dualname">Dual</label></td>
			<td class="td2"><input name="dualname" id="dualname" type="text" /></td>
			
			<td class="td1"><label for="meaning">Meaning</label></td>
			<td class="td2"><input id="meaning-noun" name="meaning-noun" type="text" /></td>
		</tr>
		<tr>
			<td class="td1"><label for="plural">Plural</label></td>
			<td class="td2"><input name="plural" id="plural" type="text" /></td>
			
			<td class="td1"><label for="verb-id">Verb Id</label></td>
			<td class="td2"><input name="verb-id" id="verb-id" type="text" />
		</tr>
		<tr>
			<td class="td1"><label for="dummy" style="color: blue;">Female</label></td>
		</tr>
		<tr>
			<td class="td1"><label for="singularfm">Singular (F)</label></td>
			<td class="td2"><input name="singularfm" id="singularfm" type="text" /></td>
			
			<td class="td1"><label for="extra-noun">Extra</label></td>
			<td class="td2" rowspan="4"><textarea id="extra-noun" cols="23" name="extra-noun"  rows="6" type="text"> </textarea></td> 
		</tr>
		<tr>
			<td class="td1"><label for="dualnamefm">Dual (F)</label></td>
			<td class="td2"><input name="dualnamefm" id="dualnamefm" type="text" /></td>
		</tr>		
		<tr>
			<td class="td1"><label for="pluralfm">Plural (F)</label></td>
			<td class="td2"><input name="pluralfm" id="pluralfm" type="text" /></td>
		</tr>		
		<tr>
			<td class="td1"><label for="dummy2"></label></td>
		</tr>		
		<tr>
		    <td class="td1"><label style="font-size:20px;"><input class="largerCheckbox" type="checkbox" name="isharf" value="isharf">&nbsp; This is a Harf</label></td>

		    <td align="right" colspan="4">
		        <input type="button" id="editNoun" onclick="AllowEdit('noun');"  class="btn btn-info" value="Edit" style="margin-top:5px; margin-right: 25px; border-radius: 4px; background: #6dc965; width:150px; height:50px;" />
		        <input type="reset" id="clearNoun" onclick="OnClearAllNounclick();" class="btn btn-info" value="Add New" style="margin-top:5px; margin-right: 25px; border-radius: 4px; background: #FF4A4A; width:150px; height:50px;" />
		        <input type="submit"  name="submit-noun" class="btn btn-info" onmouseover="this.src='submit.png'" 
		        style="margin-top:5px; margin-right: 25px; border-radius: 4px; background: #09a3eb; width:250px; height:50px;"  
		        src="submit.png" value="submit" />
		    </td>
		</tr>
	</tbody>

</table>

</form>
</div>

<?php
if (isset($_GET['msg'])) {
	?>
      </br>
      <div class="alert alert-success alert-dismissible" role="alert" style="width: 1200px;">
      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">Close</span></button>
      <strong> <?php echo $_GET['msg'] ?></strong>
      </div>
  <?php
}
?>

</div>


<!-- Rightside search box & Result Listbox -->
<div class="col-md-2"></div>
<div class="col-md-2" style="margin-top:90px;  position: relative;">
    <input accesskey="s" type="text" id="search" dir="rtl" name="search" placeholder="Search" class="form-control search"
    style="padding-top: 30px; padding-bottom: 30px; font-weight: 500; letter-spacing: 2px; font-size: 30px; border-style: solid ;border-color:#50b7cc"/><br/>
    <div class="form-group" >
         <label class="checkbox-inline"><input type="checkbox" checked value="" id="verb">Verb</label>
         <label class="checkbox-inline"><input type="checkbox" checked value="" id="noun">Noun</label>
    </div>

     <h3>Results From Verb</h3>
    <div  style="font-size: 20pt; z-index: 10;overflow:auto; position: absolute;background: #eee; border-style:solid; border-color:  lightblue ; height: 250px; width:250px;">
 
        <ul class="list-group" id="hepast_list" style="list-style:none;">
           
        </ul>
    </div>
  <br/>
   <br/>
    <br/>
    <h3 style="margin-top:200px;">Results From Noun</h3>
        <div  style="font-size: 20pt; z-index: 10;overflow:auto; position: absolute;background: #eee; border-style:solid; border-color:  lightblue ; height: 250px; width:250px;">
    
            <ul class="list-group" id="singular_list" >
               
            </ul>
        </div>
    
</div>


   

</div>



<script>

    function show_recent_verb(id){
        
        $('#verb-form input').attr('readonly', 'readonly');
        $('#verb-form textarea').prop('readonly', true);
        openTab(event, 'verbform');
    
        $.ajax({
            url : "action-verb.php",
            method : "get",
            data:{id:id},
            dataType: 'json',
            success:function(response){
                console.log(response);
                 $('#id').val(response.id);
                    $('#root').val(response.root);
                    $('#meaning').val(response.meaning);
                    $('#extra').val(response.extra);
                    $('#past').val(response.past);
                    $('#present').val(response.present);
                    $('#command').val(response.command);
                    $('#hepast').val(response.hepast);
                  
            $("#nounbtn").css('background-color', '');
            $("#verbbtn").css('background-color', '#63d8eb');
              
            }
          });
    }
 
    function show_recent_noun(id){
        
        $('#nounform input').attr('readonly', 'readonly');
        $('#nounform textarea').prop('readonly', true);
        openTab(event, 'nounform');
       
        $.ajax({
            url : "action-noun.php",
            method : "get",
            data:{id:id},
            dataType: 'json',
            success:function(response){
                 $('#singular').val(response.singular);
                 $('#id-noun').val(response.id);
                    $('#dualname').val(response.dualname);
                    $('#plural').val(response.plural);
                    $('#singularfm').val(response.singularfm);
                    $('#dualnamefm').val(response.dualnamefm);
                    $('#pluralfm').val(response.pluralfm);
                    $('#meaning-noun').val(response.meaning);
                    $('#extra-noun').val(response.extra);
                    $('#verb-id').val(response.verbid);
                 
                 $("#nounbtn").css('background-color', '#63d8eb');
                $("#verbbtn").css('background-color', '');
               
            }
          });
    }

    
    function OnClearAllVerbclick(){
        document.getElementById('hepast').readOnly = false;
        document.getElementById("hepast").style.backgroundColor="#ffffff";  
    }
    
    function OnLoadform(){
        document.getElementById("verbbtn").style.backgroundColor="#63d8eb";  
        document.getElementById("nounbtn").style.backgroundColor="inherit";  
    }
    
    function OnClearAllNounclick(){
        document.getElementById('singular').readOnly = false;
        document.getElementById("singular").style.backgroundColor="#ffffff";  
    }
    
    OnClearAllNounclick();
    OnClearAllVerbclick();
    OnLoadform();
 
    function AllowEdit(whattoedit) {
        if(whattoedit == "verb"){
            $('#verb-form input').attr('readonly', false);
            $('#verb-form textarea').prop('readonly', false);  
            document.getElementById('hepast').readOnly = 'readonly';
            document.getElementById("hepast").style.backgroundColor="#F1F1F1";  
            //document.getElementById("editVerb").style.display="none";  
            //document.getElementById("clearVerb").style.display="none";  
            //ShowHideRecent('verb', 'none');
        } else {
            $('#nounform input').attr('readonly', false);
            $('#nounform textarea').prop('readonly', false);
            document.getElementById('singular').readOnly = 'readonly';
            document.getElementById("singular").style.backgroundColor="#F1F1F1";  
            //ShowHideRecent('noun', 'none');
        }
    }

    function ShowHideRecent(whattohide, value) {
        if(whattohide == "verb"){
            tohide = "div-recent-verbs";
        } else {
            tohide = "div-recent-nouns";
        }
        
        var x = document.getElementById(tohide);
        if(value === undefined)    
        {    
            if (x.style.display === "none") {
                x.style.display = "block";
            } else {
                x.style.display = "none";
            }  
        } else {
            x.style.display = value;
        } 
    }

    
    $(document).ready(function() {
    $(document).focus();

    $("#clearVerb").on('click', function(){
         document.getElementById("hepast").value = "";    
          document.getElementById("root").value = "";       
          document.getElementById("meaning").value = "";       
          document.getElementById("extra").value = "";       
          document.getElementById("present").value = "";       
          document.getElementById("command").value = "";  
          document.getElementById("hepast").focus();
          
           $('#hepast_list').html('');
           document.getElementById("verb").checked = false;
         
    });
        
    $("#clearNoun").on('click', function(){
         document.getElementById("id-noun").value = "";    
          document.getElementById("dualname").value = "";       
          document.getElementById("plural").value = "";       
          document.getElementById("singular").value = "";       
          document.getElementById("singularfm").value = "";       
          document.getElementById("pluralfm").value = "";  
          document.getElementById("dualnamefm").value = "";  
          document.getElementById("meaning-noun").value = "";  
          document.getElementById("verb-id").value = "";  
          document.getElementById("extra-noun").value = "";  

          document.getElementById("singular").focus();
          
          $('#singular_list').html('');
          document.getElementById("noun").checked = false;

    })   

    //noun searching
    //$('#noun').click(function(){

     $('#search').on('keyup',function()
     {
         $('#singular_list').html('');
         $('#hepast_list').html('');

        var searchText=$('#search').val();

        if(searchText != ''){
          if($("#noun").prop("checked") == true){

          $.ajax({
            url : "action-noun.php",
            method : "post",
            data:{queryNoun:searchText},
            success:function(response){
                $('#singular_list').html(response);
                console.log('noun' + response);
            }
          });

          }

        } else {
            $('#singular_list').html('');
        }
      });


     $('#search').on('keyup',function()
        {
           var searchText=$('#search').val();
           $('#singular_list').html('');
             $('#hepast_list').html('');

           if(searchText != ''){
              if($("#verb").prop("checked") == true){

             $.ajax({
               url : "action-verb.php",
               method : "post",
               data:{query:searchText},
               success:function(response){
                   $('#hepast_list').html(response);
                   console.log('heap' + response);
               }
             });

           }

           }else{
                 $('#hepast_list').html('');
           }
     });


    $(document).on('click', '#heap', function(){

        var title = $(this).text();
        $("#hepast").val(title);
        //$('#hepast_list').html('');
        var searchText=$("#search").val('');
        openTab(event, 'verbform');

        $.ajax({
            url : "action-verb.php",
            method : "get",
            data:{title:title},
            dataType: 'json',
            success:function(response){
                $('#id').val(response.id);
                $('#root').val(response.root);
                $('#meaning').val(response.meaning);
                $('#extra').val(response.extra);
                $('#past').val(response.past);
                $('#present').val(response.present);
                $('#command').val(response.command);
               $("#verbbtn").css('background-color', '#63d8eb');
               $("#nounbtn").css('background-color', '');
            }
        });
     });


     $(document).on('click', '#noun', function(){

          var title = $(this).text();
          $("#singular").val(title);
          //$('#singular_list').html('');
          var searchText=$("#search").val('');
         
            $.ajax({
                url : "action-noun.php",
                method : "get",
                data:{title:title},
                dataType: 'json',
                success:function(response){
                    
                    $('#id-noun').val(response.id);
                    $('#dualname').val(response.dualname);
                    $('#plural').val(response.plural);
                    $('#singularfm').val(response.singularfm);
                    $('#dualnamefm').val(response.dualnamefm);
                    $('#pluralfm').val(response.pluralfm);
                    $('#meaning-noun').val(response.meaning);
                    $('#extra-noun').val(response.extra);
                    $('#verb-id').val(response.verbid);
                    $("#nounbtn").css('background-color', '#63d8eb');
                    $("#verbbtn").css('background-color', '');
                   openTab(event, 'nounform');
                }
            });
         });
     });
</script>


<script>

    //Run on loading
    document.getElementById('verbform').style.display = "block";
    evt.currentTarget.className += " active";
  
    function openTab(evt, cityName) {
        $("#nounbtn").css('background-color', '');
        $("#verbbtn").css('background-color', '');
      var i, tabcontent, tablinks;
      tabcontent = document.getElementsByClassName("tabcontent");
      for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
      }
      tablinks = document.getElementsByClassName("tablinks");
      for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
      }
      document.getElementById(cityName).style.display = "block";
      evt.currentTarget.className += " active";
    }
</script>

</body>
</html>








    <!--<div class="list-group" id="hepast_list" style="z-index: 10;position: relative;background: #eee;" >-->
    <!--</div>
	<td class="td1"><label for="dummy1"></label></td>
	<td class="td1"><label for="dummy2"></label></td>
	
	
	
	<p style="font-size: 18px"><span style="color:#0000CD;">He-Past</span> is the past tense of a&nbsp;verb&nbsp;(example, kataba).&nbsp; <span style="color:#0000CD;">3 Letter Root</span> is the root of&nbsp;a&nbsp;verb&nbsp;(for example, kaaf&nbsp;thaa bah).&nbsp;<br />
    <span style="color:#0000CD;">Past-All</span> should contains all forms in past tense. Similarly, <span style="color:#0000CD;">Future-All</span> should contain all forms in Future&nbsp;tense. </br>Commands: <a href="showall.php">Show All-Data</a>. <a href="index.php">Clear this form</a>. </p>

-->